package com.ruoyi.ems.domain;

import com.huashe.common.domain.BaseEntity;

import java.util.Date;

public class EmsElecStoreIndex extends BaseEntity {
    private Long id;                    // 序号
    private String areaCode;            // 园区代码
    private String facsCode;            // 设施代码
    private Date date;                  // 日期 yyyy-MM-dd
    private Date time;                  // 时间 yyyy-MM-dd HH:mm:ss
    private Double inputVoltage;        // 输入电压(kV)
    private Double inputElectricity;    // 输入电流(A)
    private Double outputVoltage;       // 输出电压(kV)
    private Double outputElectricity;   // 输出电流(A)
    private Double currentCapacity;     // 当前容量(kW·h)


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Double getInputVoltage() {
        return inputVoltage;
    }

    public void setInputVoltage(Double inputVoltage) {
        this.inputVoltage = inputVoltage;
    }

    public Double getInputElectricity() {
        return inputElectricity;
    }

    public void setInputElectricity(Double inputElectricity) {
        this.inputElectricity = inputElectricity;
    }

    public Double getOutputVoltage() {
        return outputVoltage;
    }

    public void setOutputVoltage(Double outputVoltage) {
        this.outputVoltage = outputVoltage;
    }

    public Double getOutputElectricity() {
        return outputElectricity;
    }

    public void setOutputElectricity(Double outputElectricity) {
        this.outputElectricity = outputElectricity;
    }

    public Double getCurrentCapacity() {
        return currentCapacity;
    }

    public void setCurrentCapacity(Double currentCapacity) {
        this.currentCapacity = currentCapacity;
    }
}
